<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div *ngFor="let _ of [].constructor(itemCounter); index as index">
            <ng-template #viewContainerRef></ng-template>
        </div>
        <div *ngIf="itemCounter == 0">
            <p>List contains no items</p>
        </div>
    </mat-card-content>
</mat-card>